# Method: customers.certificateProvisioningProcesses.setFailure

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/setFailure#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/setFailure#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/setFailure#body.request_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/setFailure#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/setFailure#body.response_body)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/setFailure#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.certificateProvisioningProcesses/setFailure#try-it)

Marks a certificate provisioning process as failed.

### HTTP request

`POST https://chromemanagement.googleapis.com/v1/{name=customers/*/certificateProvisioningProcesses/*}:setFailure`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the `CertificateProvisioningProcess` to return. The name pattern is given as `customers/{customer}/certificateProvisioningProcesses/{certificateProvisioningProcess}` with `{customer}` being the obfuscated customer id and `{certificateProvisioningProcess}` being the certificate provisioning process id. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "errorMessage": string } ``` |

| Fields ||
|---|---|
| `errorMessage` | `string` Required. A message describing the failure details. It is displayed on the ChromeOS client device. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.certprov.provisioningprocess`